#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/gmtool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

EXTHDRS	      =

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = gmpget.o \
		gmsize.o

SRCS	      = gmpget.F \
		gmsize.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/gmtool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)



###
